Fiscal Year Settings
The fiscal year settings resource.
Basehttps://rest.carbon.ms/fiscalYearSettings
GET
/fiscalYearSettingsList fiscal year settingss
Retrieve a paginated list of fiscal year settingss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/fiscalYearSettings
curl --request GET \
--url 'https://rest.carbon.ms/fiscalYearSettings?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"companyId": "xyz789",
"startMonth": "string",
"taxStartMonth": "string",
"updatedBy": "string"
}
]GET
/fiscalYearSettingsRetrieve a fiscal year settings
Fetch a single fiscal year settings by filtering on `companyId`.
Query parameters
companyIdstringMatch on the fiscal year settings's `companyId`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/fiscalYearSettings
curl --request GET \
--url 'https://rest.carbon.ms/fiscalYearSettings?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"companyId": "xyz789",
"startMonth": "string",
"taxStartMonth": "string",
"updatedBy": "string"
}POST
/fiscalYearSettingsCreate a fiscal year settings
Create a new fiscal year settings.
Body parameters
startMonthstringrequiredtaxStartMonthstringrequiredPOSThttps://rest.carbon.ms/fiscalYearSettings
curl --request POST \
--url https://rest.carbon.ms/fiscalYearSettings \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"startMonth":"string","taxStartMonth":"string"}'Response
{
"companyId": "xyz789",
"startMonth": "string",
"taxStartMonth": "string",
"updatedBy": "string"
}PATCH
/fiscalYearSettingsUpdate a fiscal year settings
Update an existing fiscal year settings, matched on `companyId`.
Body parameters
startMonthstringrequiredtaxStartMonthstringrequiredPATCHhttps://rest.carbon.ms/fiscalYearSettings
curl --request PATCH \
--url 'https://rest.carbon.ms/fiscalYearSettings?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"startMonth":"string"}'Response
{
"companyId": "xyz789",
"startMonth": "string",
"taxStartMonth": "string",
"updatedBy": "string"
}DELETE
/fiscalYearSettingsDelete a fiscal year settings
Delete a fiscal year settings, matched on `companyId`. Returns 204 No Content.
Query parameters
companyIdstringThe `companyId` of the fiscal year settings to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/fiscalYearSettings
curl --request DELETE \
--url 'https://rest.carbon.ms/fiscalYearSettings?companyId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content